package com.hw.dms.domain;

import java.util.List;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 保养计划信息对象 dms_plan_maint
 * 
 * @author xins
 * @date 2024-01-08
 */
public class DmsPlanMaint extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long planMaintId;

    /** 计划编号 */
    @Excel(name = "计划编号")
    private String planMaintCode;

    /** 保养级别：1-日常保养；2-月度保养；3-年度保养 */
    @Excel(name = "保养级别：1-日常保养；2-月度保养；3-年度保养")
    private Long maintLevel;

    /** 保养组别 */
    @Excel(name = "保养组别")
    private String maintGroup;

    /** 保养负责人 */
    @Excel(name = "保养负责人")
    private String maintSupervisor;

    /** 本次保养时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "本次保养时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date maintTime;

    /** 循环周期 */
    @Excel(name = "循环周期")
    private Long cyclePeriod;

    /** 保养状态：1-待保养；2-保养中；3-已完成 */
    @Excel(name = "保养状态：1-待保养；2-保养中；3-已完成")
    private Long maintStatus;

    /** 创建方式：1-人工创建；2-自动创建 */
    @Excel(name = "创建方式：1-人工创建；2-自动创建")
    private Long createMethod;

    /** 是否标识：1-是；2-否 */
    @Excel(name = "是否标识：1-是；2-否")
    private Long isFlag;

    /** 保养计划明细信息 */
    private List<DmsPlanMaintDetail> dmsPlanMaintDetailList;

    public void setPlanMaintId(Long planMaintId) 
    {
        this.planMaintId = planMaintId;
    }

    public Long getPlanMaintId() 
    {
        return planMaintId;
    }
    public void setPlanMaintCode(String planMaintCode) 
    {
        this.planMaintCode = planMaintCode;
    }

    public String getPlanMaintCode() 
    {
        return planMaintCode;
    }
    public void setMaintLevel(Long maintLevel) 
    {
        this.maintLevel = maintLevel;
    }

    public Long getMaintLevel() 
    {
        return maintLevel;
    }
    public void setMaintGroup(String maintGroup) 
    {
        this.maintGroup = maintGroup;
    }

    public String getMaintGroup() 
    {
        return maintGroup;
    }
    public void setMaintSupervisor(String maintSupervisor) 
    {
        this.maintSupervisor = maintSupervisor;
    }

    public String getMaintSupervisor() 
    {
        return maintSupervisor;
    }
    public void setMaintTime(Date maintTime) 
    {
        this.maintTime = maintTime;
    }

    public Date getMaintTime() 
    {
        return maintTime;
    }
    public void setCyclePeriod(Long cyclePeriod) 
    {
        this.cyclePeriod = cyclePeriod;
    }

    public Long getCyclePeriod() 
    {
        return cyclePeriod;
    }
    public void setMaintStatus(Long maintStatus) 
    {
        this.maintStatus = maintStatus;
    }

    public Long getMaintStatus() 
    {
        return maintStatus;
    }
    public void setCreateMethod(Long createMethod) 
    {
        this.createMethod = createMethod;
    }

    public Long getCreateMethod() 
    {
        return createMethod;
    }
    public void setIsFlag(Long isFlag) 
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag() 
    {
        return isFlag;
    }

    public List<DmsPlanMaintDetail> getDmsPlanMaintDetailList()
    {
        return dmsPlanMaintDetailList;
    }

    public void setDmsPlanMaintDetailList(List<DmsPlanMaintDetail> dmsPlanMaintDetailList)
    {
        this.dmsPlanMaintDetailList = dmsPlanMaintDetailList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("planMaintId", getPlanMaintId())
            .append("planMaintCode", getPlanMaintCode())
            .append("maintLevel", getMaintLevel())
            .append("maintGroup", getMaintGroup())
            .append("maintSupervisor", getMaintSupervisor())
            .append("maintTime", getMaintTime())
            .append("cyclePeriod", getCyclePeriod())
            .append("maintStatus", getMaintStatus())
            .append("createMethod", getCreateMethod())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("dmsPlanMaintDetailList", getDmsPlanMaintDetailList())
            .toString();
    }
}
